GoDoxy

Get WebUI config

GET
/webui/config

Get WebUI config

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webui/config"
{  "access_log": {    "fields": {      "cookies": {        "config": {          "property1": "keep",          "property2": "keep"        },        "default": "keep"      },      "headers": {        "config": {          "property1": "keep",          "property2": "keep"        },        "default": "keep"      },      "query": {        "config": {          "property1": "keep",          "property2": "keep"        },        "default": "keep"      }    },    "filters": {      "cidr": {        "negative": true,        "values": [          {            "ip": [              0            ],            "mask": [              0            ]          }        ]      },      "headers": {        "negative": true,        "values": [          {            "key": "string",            "value": "string"          }        ]      },      "host": {        "negative": true,        "values": [          "string"        ]      },      "method": {        "negative": true,        "values": [          "string"        ]      },      "status_codes": {        "negative": true,        "values": [          {            "end": 0,            "start": 0          }        ]      }    },    "format": "common",    "path": "string",    "retention": {      "days": 0,      "keep_size": 0,      "last": 0    },    "rotate_interval": 0,    "stdout": true  },  "aliases": [    "string"  ],  "display_name": "string",  "inbound_mtls_profile": "string",  "middlewares": {    "property1": {      "property1": null,      "property2": null    },    "property2": {      "property1": null,      "property2": null    }  },  "rules": [    {      "do": "string",      "name": "string",      "on": "string"    }  ]}